Bug 996618 - Review Request: rubygem-ancestry - Organize ActiveRecord model into a tree structure
Summary: Review Request: rubygem-ancestry - Organize ActiveRecord model into a tree st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-13 14:30 UTC by Miroslav Suchý
Modified: 2013-09-08 00:30 UTC (History)
2 users (show)

Fixed In Version: rubygem-ancestry-2.0.0-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-08 00:30:31 UTC
ktdreyer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2013-08-13 14:30:15 UTC
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-ancestry/rubygem-ancestry.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-ancestry/rubygem-ancestry-2.0.0-4.fc19.src.rpm
Description:
Ancestry allows the records of a ActiveRecord model to be organized in a tree
structure, using a single, intuitively formatted database column. It exposes
all the standard tree structure relations (ancestors, parent, root, children,
siblings, descendants) and all of them can be fetched in a single sql query.
Additional features are named_scopes, integrity checking, integrity restoration,
arrangement of (sub)tree into hashes and different strategies for dealing with
orphaned records.

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5812040

Comment 1 Ken Dreyer 2013-08-23 16:19:38 UTC
I can take this review. While I work on the details, I noticed the following:

1. The %check section is not present. Can you add it?

2. I think %{gem_instdir}/README.rdoc belongs in the -doc subpackage.

3. Both %{gem_instdir}/MIT-LICENSE and %{gem_instdir}/README.rdoc should be marked as %doc.

4. I don't see why you would need to ship %{gem_instdir}/%{gem_name}.gemspec, since you're already shipping %{gem_spec}. In my own gems I always delete this second copy of the gemspec (although I can't find anything in the Ruby guidelines about this.)

Comment 2 Miroslav Suchý 2013-08-26 08:23:46 UTC
> 1. The %check section is not present. Can you add it?
Ah, the test/ directory is not present in gem. So I overlook that. I will add git archive as source1 and will try to run the test.

> 2. I think %{gem_instdir}/README.rdoc belongs in the -doc subpackage.
I prefer to put README into main package. Other packages use that as well.
IMHO this is good habit, as it usually contain very compressed and base information, which give you good information about that package, without the need to install -doc subpackage.

> 3. Both %{gem_instdir}/MIT-LICENSE and %{gem_instdir}/README.rdoc should be marked as %doc.
Fixed.

> 4. I don't see why you would need to ship %{gem_instdir}/%{gem_name}.gemspec, since you're already shipping %{gem_spec}. In my own gems I always delete this second copy of the gemspec (although I can't find anything in the Ruby guidelines about this.)
I used to exclude it in past as well. But then I have been pointed by jstribny that %{gem_spec} is that one we generated in %build and it may differ from %{gem_instdir}/%{gem_name}.gemspec, which is the original one. And it may be useful for somebody, so we may put it in -doc. Seems legit to me, so since then, I preserve it.

Comment 4 Ken Dreyer 2013-08-27 23:18:28 UTC
Thanks for updating. Since you've addressed %check and %doc, and the rest are maintainer's preference, I'm approving the package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
(none)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-ancestry-2.0.0-5.fc19.noarch.rpm
          rubygem-ancestry-doc-2.0.0-5.fc19.noarch.rpm
rubygem-ancestry.noarch: W: spelling-error %description -l en_US sql -> sq, sol, sq l
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-ancestry-doc rubygem-ancestry
rubygem-ancestry.noarch: W: spelling-error %description -l en_US sql -> sq, sol, sq l
rubygem-ancestry.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-ancestry-doc (rpmlib, GLIBC filtered):
    rubygem-ancestry

rubygem-ancestry (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(activerecord)



Provides
--------
rubygem-ancestry-doc:
    rubygem-ancestry-doc

rubygem-ancestry:
    rubygem(ancestry)
    rubygem-ancestry



Source checksums
----------------
https://rubygems.org/gems/ancestry-2.0.0.gem :
  CHECKSUM(SHA256) this package     : 0d74af95229faed077af5c0dedf405e3b4519362353fdf9c7df740c9568778c0
  CHECKSUM(SHA256) upstream package : 0d74af95229faed077af5c0dedf405e3b4519362353fdf9c7df740c9568778c0


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-i386
Command line :/usr/bin/fedora-review -b 996618


Summary: Looks good, package approved.

Comment 5 Miroslav Suchý 2013-08-28 07:22:38 UTC
New Package SCM Request
=======================
Package Name: rubygem-ancestry
Short Description: Organize ActiveRecord model into a tree structure
Owners: msuchy
Branches: f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-08-30 12:04:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-08-30 12:30:51 UTC
rubygem-ancestry-2.0.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-ancestry-2.0.0-5.fc19

Comment 8 Fedora Update System 2013-08-30 23:00:40 UTC
rubygem-ancestry-2.0.0-5.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-09-08 00:30:31 UTC
rubygem-ancestry-2.0.0-5.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.